BizKitHub
DocsAPI ReferenceComplaint/bff/complaint/policy-update
postComplaintAdmin BFF

/bff/complaint/policy-update

Updates an existing complaint policy. Only provided fields are modified.

ComplaintpostBffComplaintPolicy-update

Parameters

JSON body

Request body

application/json
idnumberRequired

Policy ID to update.

Example1
titlestringOptional

Updated policy title.

ExampleStandard return policy
bodystringOptional

Updated policy text.

ExampleItems may be returned within 14 days of delivery.
validTostringOptionaldate-time

Updated expiration date.

Example2026-12-31T23:59:59.000Z
allowStornobooleanOptional

Updated storno permission flag.

stornoFreeHoursnumberOptional

Updated free storno hours window.

Example48
stornoFeePercentnumberOptional

Updated storno fee percentage.

Example50
stornoFeeDeadlineHoursnumberOptional

Updated storno fee deadline hours.

Example24

Response schema

1 status code documented

200Success
successbooleanRequired

Indicates whether the operation completed successfully.

Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/complaint/policy-update

post
curl -X POST "https://api.bizkithub.com/bff/complaint/policy-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": 1,
  "title": "Standard return policy",
  "body": "Items may be returned within 14 days of delivery.",
  "validTo": "2026-12-31T23:59:59.000Z",
  "allowStorno": false,
  "stornoFreeHours": 48,
  "stornoFeePercent": 50,
  "stornoFeeDeadlineHours": 24
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key